CoreAdminHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.admin.CoreAdminHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.admin
Class CoreAdminHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.admin.CoreAdminHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler

    public class CoreAdminHandler

extends RequestHandlerBase

Since:
  solr 1.3
Version:
  $Id: CoreAdminHandler.java 1171306 2011-09-15 22:43:33Z janhoy $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`protected CoreContainer` | `coreContainer`
`protected static org.slf4j.Logger` | `log`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`CoreAdminHandler()`
`CoreAdminHandler(CoreContainer coreContainer)` Overloaded ctor to inject CoreContainer into the handler.

Method Summary
`CoreContainer` | `getCoreContainer()` The instance of CoreContainer this handler handles.
`protected NamedList<Object>` | `getCoreStatus(CoreContainer cores, String cname)`
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`protected boolean` | `handleAliasAction(SolrQueryRequest req, SolrQueryResponse rsp)` Deprecated.
`protected boolean` | `handleCreateAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle 'CREATE' action.
`protected boolean` | `handleCustomAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle Custom Action.
`protected boolean` | `handleMergeAction(SolrQueryRequest req, SolrQueryResponse rsp)`
`protected boolean` | `handlePersistAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handler "PERSIST" action
`protected boolean` | `handleReloadAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handler "RELOAD" action
`protected boolean` | `handleRenameAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle "RENAME" Action
`void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
`protected boolean` | `handleStatusAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle "STATUS" action
`protected boolean` | `handleSwapAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle "SWAP" action
`protected boolean` | `handleUnloadAction(SolrQueryRequest req, SolrQueryResponse rsp)` Handle "UNLOAD" Action
`void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.
`protected static String` | `normalizePath(String path)`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDocs, getInitArgs, getName, getStatistics, handleRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.slf4j.Logger log

### coreContainer

    protected final CoreContainer coreContainer

Constructor Detail

### CoreAdminHandler

    public CoreAdminHandler()

### CoreAdminHandler

    public CoreAdminHandler(CoreContainer coreContainer)

  Overloaded ctor to inject CoreContainer into the handler.

  Parameters:
    `coreContainer` - Core Container of the solr webapp installed.

Method Detail

### init

    public final void init(NamedList args)

  Description copied from class: `RequestHandlerBase`
  Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

  Name | Description
  --- | ---
  defaults | Contains all of the named arguments contained within the list element named "defaults".
  appends | Contains all of the named arguments contained within the list element named "appends".
  invariants | Contains all of the named arguments contained within the list element named "invariants".

  Example:

       <lst name="defaults">
       <str name="echoParams">explicit</str>
       <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
       <str name="mm">2<-1 5<-2 6<90%</str>
       <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
       </lst>
       <lst name="appends">
       <str name="fq">inStock:true</str>
       </lst>

       <lst name="invariants">
       <str name="facet.field">cat</str>
       <str name="facet.field">manu_exact</str>
       <str name="facet.query">price:[* TO 500]</str>
       <str name="facet.query">price:[500 TO *]</str>
       </lst>

  Specified by:
    `init` in interface `SolrRequestHandler`
  Overrides:
    `init` in class `RequestHandlerBase`
  Parameters:
    `args` - The `NamedList` to initialize from
  See Also:
    `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

### getCoreContainer

    public CoreContainer getCoreContainer()

  The instance of CoreContainer this handler handles. This should be the CoreContainer instance that created this handler.

  Returns:
    a CoreContainer instance

### handleRequestBody

    public void handleRequestBody(SolrQueryRequest req,
                                  SolrQueryResponse rsp)
                           throws Exception

  Specified by:
    `handleRequestBody` in class `RequestHandlerBase`
  Throws:
    `Exception`

### handleMergeAction

    protected boolean handleMergeAction(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws IOException

  Throws:
    `IOException`

### handleCustomAction

    protected boolean handleCustomAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)

  Handle Custom Action.

  This method could be overridden by derived classes to handle custom actions.
  By default - this method throws a solr exception. Derived classes are free to write their derivation if necessary.

### handleCreateAction

    protected boolean handleCreateAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)
                                  throws SolrException

  Handle 'CREATE' action.

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.
  Throws:
    `SolrException` - in case of a configuration error.

### handleRenameAction

    protected boolean handleRenameAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)
                                  throws SolrException

  Handle "RENAME" Action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.
  Throws:
    `SolrException`

### handleAliasAction

    @Deprecated
    protected boolean handleAliasAction(SolrQueryRequest req,
                                                   SolrQueryResponse rsp)

  Deprecated.

  Handle "ALIAS" action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.

### handleUnloadAction

    protected boolean handleUnloadAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)
                                  throws SolrException

  Handle "UNLOAD" Action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.
  Throws:
    `SolrException`

### handleStatusAction

    protected boolean handleStatusAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)
                                  throws SolrException

  Handle "STATUS" action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.
  Throws:
    `SolrException`

### handlePersistAction

    protected boolean handlePersistAction(SolrQueryRequest req,
                                          SolrQueryResponse rsp)
                                   throws SolrException

  Handler "PERSIST" action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.
  Throws:
    `SolrException`

### handleReloadAction

    protected boolean handleReloadAction(SolrQueryRequest req,
                                         SolrQueryResponse rsp)

  Handler "RELOAD" action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.

### handleSwapAction

    protected boolean handleSwapAction(SolrQueryRequest req,
                                       SolrQueryResponse rsp)

  Handle "SWAP" action

  Parameters:
    `req` -
    `rsp` -
  Returns:
    true if a modification has resulted that requires persistance of the CoreContainer configuration.

### getCoreStatus

    protected NamedList<Object> getCoreStatus(CoreContainer cores,
                                              String cname)
                                       throws IOException

  Throws:
    `IOException`

### normalizePath

    protected static String normalizePath(String path)

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD